package com.google.gson.jf;

import com.google.gson.*;
import junit.framework.*;

import java.util.*;

import static com.google.gson.jf.ExtraAssert.*;

public class OmitQuotesTest extends TestCase {
    private Gson lenient;
    private Gson strict;
    private static final String lenientJson = "{collection:[\"example\"]}";
    private static final String strictJson = "{\"collection\":[\"example\"]}";
    private StringListBox slb;

    @Override
    protected void setUp() throws Exception {
        super.setUp();
        lenient = new GsonBuilder().setOmitQuotes().create();
        strict = new GsonBuilder().create();
        slb = new StringListBox();
        slb.collection = List.of("example");
    }

    public void testLenient() {
        assertEquals(lenientJson, lenient.toJson(slb));
    }

    public void testStrict() {
        assertEquals(strictJson, strict.toJson(slb));
    }
}
