package com.google.gson.jf;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import junit.framework.TestCase;

import java.io.*;

public class ReadNullTest extends TestCase {
    public void testReadNull() throws IOException {
        Gson gson = new GsonBuilder().serializeNulls().setLenient().create();
        String exampleFile = "{\n  // Yes\n  \"value1\": 1024,\n  \"value2\": null,\n  \"value3\": 10\n}";
        try (Reader r = new StringReader(exampleFile); var jr = gson.newJsonReader(r)) {
            jr.beginObject();
            assertEquals("value1", jr.nextName());
            assertEquals(1024, jr.nextInt());
            assertEquals("value2", jr.nextName());
            jr.nextNull();
            assertEquals("value3", jr.nextName());
            assertEquals(10, jr.nextInt());
            jr.endObject();
        }
    }
}
